// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

/**
 * Protobuf type {@code dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest}
 */
public  final class SubmitGameSessionResultRequest extends
    com.google.protobuf.GeneratedMessageLite<
        SubmitGameSessionResultRequest, SubmitGameSessionResultRequest.Builder> implements
    // @@protoc_insertion_point(message_implements:dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest)
    SubmitGameSessionResultRequestOrBuilder {
  private SubmitGameSessionResultRequest() {
    sessionId_ = "";
  }
  public static final int SESSION_ID_FIELD_NUMBER = 1;
  private java.lang.String sessionId_;
  /**
   * <code>string session_id = 1 [json_name = "sessionId"];</code>
   * @return The sessionId.
   */
  @java.lang.Override
  public java.lang.String getSessionId() {
    return sessionId_;
  }
  /**
   * <code>string session_id = 1 [json_name = "sessionId"];</code>
   * @return The bytes for sessionId.
   */
  @java.lang.Override
  public com.google.protobuf.ByteString
      getSessionIdBytes() {
    return com.google.protobuf.ByteString.copyFromUtf8(sessionId_);
  }
  /**
   * <code>string session_id = 1 [json_name = "sessionId"];</code>
   * @param value The sessionId to set.
   */
  private void setSessionId(
      java.lang.String value) {
    java.lang.Class<?> valueClass = value.getClass();
  
    sessionId_ = value;
  }
  /**
   * <code>string session_id = 1 [json_name = "sessionId"];</code>
   */
  private void clearSessionId() {
    
    sessionId_ = getDefaultInstance().getSessionId();
  }
  /**
   * <code>string session_id = 1 [json_name = "sessionId"];</code>
   * @param value The bytes for sessionId to set.
   */
  private void setSessionIdBytes(
      com.google.protobuf.ByteString value) {
    checkByteStringIsUtf8(value);
    sessionId_ = value.toStringUtf8();
    
  }

  public static final int GAME_SESSION_RESULT_FIELD_NUMBER = 2;
  private gg.dsepractice.chinese.v1alpha1.GameSessionResult gameSessionResult_;
  /**
   * <code>.dsepractice.chinese.v1alpha1.GameSessionResult game_session_result = 2 [json_name = "gameSessionResult"];</code>
   */
  @java.lang.Override
  public boolean hasGameSessionResult() {
    return gameSessionResult_ != null;
  }
  /**
   * <code>.dsepractice.chinese.v1alpha1.GameSessionResult game_session_result = 2 [json_name = "gameSessionResult"];</code>
   */
  @java.lang.Override
  public gg.dsepractice.chinese.v1alpha1.GameSessionResult getGameSessionResult() {
    return gameSessionResult_ == null ? gg.dsepractice.chinese.v1alpha1.GameSessionResult.getDefaultInstance() : gameSessionResult_;
  }
  /**
   * <code>.dsepractice.chinese.v1alpha1.GameSessionResult game_session_result = 2 [json_name = "gameSessionResult"];</code>
   */
  private void setGameSessionResult(gg.dsepractice.chinese.v1alpha1.GameSessionResult value) {
    value.getClass();
  gameSessionResult_ = value;
    
    }
  /**
   * <code>.dsepractice.chinese.v1alpha1.GameSessionResult game_session_result = 2 [json_name = "gameSessionResult"];</code>
   */
  @java.lang.SuppressWarnings({"ReferenceEquality"})
  private void mergeGameSessionResult(gg.dsepractice.chinese.v1alpha1.GameSessionResult value) {
    value.getClass();
  if (gameSessionResult_ != null &&
        gameSessionResult_ != gg.dsepractice.chinese.v1alpha1.GameSessionResult.getDefaultInstance()) {
      gameSessionResult_ =
        gg.dsepractice.chinese.v1alpha1.GameSessionResult.newBuilder(gameSessionResult_).mergeFrom(value).buildPartial();
    } else {
      gameSessionResult_ = value;
    }
    
  }
  /**
   * <code>.dsepractice.chinese.v1alpha1.GameSessionResult game_session_result = 2 [json_name = "gameSessionResult"];</code>
   */
  private void clearGameSessionResult() {  gameSessionResult_ = null;
    
  }

  public static gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }

  public static Builder newBuilder() {
    return (Builder) DEFAULT_INSTANCE.createBuilder();
  }
  public static Builder newBuilder(gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest prototype) {
    return (Builder) DEFAULT_INSTANCE.createBuilder(prototype);
  }

  /**
   * Protobuf type {@code dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageLite.Builder<
        gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest, Builder> implements
      // @@protoc_insertion_point(builder_implements:dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest)
      gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequestOrBuilder {
    // Construct using gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest.newBuilder()
    private Builder() {
      super(DEFAULT_INSTANCE);
    }


    /**
     * <code>string session_id = 1 [json_name = "sessionId"];</code>
     * @return The sessionId.
     */
    @java.lang.Override
    public java.lang.String getSessionId() {
      return instance.getSessionId();
    }
    /**
     * <code>string session_id = 1 [json_name = "sessionId"];</code>
     * @return The bytes for sessionId.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getSessionIdBytes() {
      return instance.getSessionIdBytes();
    }
    /**
     * <code>string session_id = 1 [json_name = "sessionId"];</code>
     * @param value The sessionId to set.
     * @return This builder for chaining.
     */
    public Builder setSessionId(
        java.lang.String value) {
      copyOnWrite();
      instance.setSessionId(value);
      return this;
    }
    /**
     * <code>string session_id = 1 [json_name = "sessionId"];</code>
     * @return This builder for chaining.
     */
    public Builder clearSessionId() {
      copyOnWrite();
      instance.clearSessionId();
      return this;
    }
    /**
     * <code>string session_id = 1 [json_name = "sessionId"];</code>
     * @param value The bytes for sessionId to set.
     * @return This builder for chaining.
     */
    public Builder setSessionIdBytes(
        com.google.protobuf.ByteString value) {
      copyOnWrite();
      instance.setSessionIdBytes(value);
      return this;
    }

    /**
     * <code>.dsepractice.chinese.v1alpha1.GameSessionResult game_session_result = 2 [json_name = "gameSessionResult"];</code>
     */
    @java.lang.Override
    public boolean hasGameSessionResult() {
      return instance.hasGameSessionResult();
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.GameSessionResult game_session_result = 2 [json_name = "gameSessionResult"];</code>
     */
    @java.lang.Override
    public gg.dsepractice.chinese.v1alpha1.GameSessionResult getGameSessionResult() {
      return instance.getGameSessionResult();
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.GameSessionResult game_session_result = 2 [json_name = "gameSessionResult"];</code>
     */
    public Builder setGameSessionResult(gg.dsepractice.chinese.v1alpha1.GameSessionResult value) {
      copyOnWrite();
      instance.setGameSessionResult(value);
      return this;
      }
    /**
     * <code>.dsepractice.chinese.v1alpha1.GameSessionResult game_session_result = 2 [json_name = "gameSessionResult"];</code>
     */
    public Builder setGameSessionResult(
        gg.dsepractice.chinese.v1alpha1.GameSessionResult.Builder builderForValue) {
      copyOnWrite();
      instance.setGameSessionResult(builderForValue.build());
      return this;
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.GameSessionResult game_session_result = 2 [json_name = "gameSessionResult"];</code>
     */
    public Builder mergeGameSessionResult(gg.dsepractice.chinese.v1alpha1.GameSessionResult value) {
      copyOnWrite();
      instance.mergeGameSessionResult(value);
      return this;
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.GameSessionResult game_session_result = 2 [json_name = "gameSessionResult"];</code>
     */
    public Builder clearGameSessionResult() {  copyOnWrite();
      instance.clearGameSessionResult();
      return this;
    }

    // @@protoc_insertion_point(builder_scope:dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest)
  }
  @java.lang.Override
  @java.lang.SuppressWarnings({"unchecked", "fallthrough"})
  protected final java.lang.Object dynamicMethod(
      com.google.protobuf.GeneratedMessageLite.MethodToInvoke method,
      java.lang.Object arg0, java.lang.Object arg1) {
    switch (method) {
      case NEW_MUTABLE_INSTANCE: {
        return new gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest();
      }
      case NEW_BUILDER: {
        return new Builder();
      }
      case BUILD_MESSAGE_INFO: {
          java.lang.Object[] objects = new java.lang.Object[] {
            "sessionId_",
            "gameSessionResult_",
          };
          java.lang.String info =
              "\u0000\u0002\u0000\u0000\u0001\u0002\u0002\u0000\u0000\u0000\u0001\u0208\u0002\t" +
              "";
          return newMessageInfo(DEFAULT_INSTANCE, info, objects);
      }
      // fall through
      case GET_DEFAULT_INSTANCE: {
        return DEFAULT_INSTANCE;
      }
      case GET_PARSER: {
        com.google.protobuf.Parser<gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest> parser = PARSER;
        if (parser == null) {
          synchronized (gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest.class) {
            parser = PARSER;
            if (parser == null) {
              parser =
                  new DefaultInstanceBasedParser<gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest>(
                      DEFAULT_INSTANCE);
              PARSER = parser;
            }
          }
        }
        return parser;
    }
    case GET_MEMOIZED_IS_INITIALIZED: {
      return (byte) 1;
    }
    case SET_MEMOIZED_IS_INITIALIZED: {
      return null;
    }
    }
    throw new UnsupportedOperationException();
  }


  // @@protoc_insertion_point(class_scope:dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest)
  private static final gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest DEFAULT_INSTANCE;
  static {
    SubmitGameSessionResultRequest defaultInstance = new SubmitGameSessionResultRequest();
    // New instances are implicitly immutable so no need to make
    // immutable.
    DEFAULT_INSTANCE = defaultInstance;
    com.google.protobuf.GeneratedMessageLite.registerDefaultInstance(
      SubmitGameSessionResultRequest.class, defaultInstance);
  }

  public static gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static volatile com.google.protobuf.Parser<SubmitGameSessionResultRequest> PARSER;

  public static com.google.protobuf.Parser<SubmitGameSessionResultRequest> parser() {
    return DEFAULT_INSTANCE.getParserForType();
  }
}

